org.eclipse.microprofile.rest.client.tck

## Class WiremockArquillianTest

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.rest.client.tck.WiremockArquillianTest

All Implemented Interfaces:
  org.testng.IHookable, org.testng.ITestNGListener

Direct Known Subclasses:
  AsyncMethodTest, CallMultipleMappersTest, CDIFollowRedirectsTest, CDIInvokeAsyncSimpleGetOperationTest, CDIInvokeSimpleGetOperationTest, CDIInvokeWithRegisteredProvidersTest, CDIProxyServerTest, CDIURIvsURLConfigTest, ClientHeaderParamTest, ClientReuseTest, DefaultExceptionMapperConfigTest, DefaultExceptionMapperTest, ExceptionMapperTest, FeatureRegistrationTest, FollowRedirectsTest, InvokeSimpleGetOperationTest, InvokeWithBuiltProvidersTest, InvokeWithJsonBProviderTest, InvokeWithJsonPProviderTest, InvokeWithRegisteredProvidersTest, MultiRegisteredTest, ProxyServerTest, TimeoutTestBase

    public abstract class WiremockArquillianTest
    extends org.jboss.arquillian.testng.Arquillian

### Nested Class Summary

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
Constructor and Description
`WiremockArquillianTest()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Integer` `getPort()`
`protected static URI` `getServerURI()`
`protected static URL` `getServerURL()`
`protected static String` `getStringURL()`
`static void` `setupServer()`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WiremockArquillianTest

    public WiremockArquillianTest()

### Method Detail

#### getPort

    public static Integer getPort()

#### getServerURI

    protected static URI getServerURI()

#### getServerURL

    protected static URL getServerURL()

#### getStringURL

    protected static String getStringURL()

#### setupServer

    @BeforeClass
    public static void setupServer()